Subject: bug#44877: I can not believe that this issue is still open after four years.

From: Tomas Volf <[email-masked]>
Date: Sat, 10 May 2025 23:34:57 +0200

Bilinmek Istemiyor <[email-masked]> writes:

> I am newbie to guix and have been trying to install it for the first time
> with my usual setup with root on luks + lvm + btrfs.  For a week, I thought
> that there was something wrong with my config.scm until being aware of by
> user ruther in guix channel of libera.chat.
>
> Basically in my case  grub can open luks, in grup command prompt, I can see
> the lvm devices by ls command and but load kernel somehow.
>
> I am really frustrated that such a important feature is neglected for
> years. This is truly a show stopper for me. Please do  something about
> this.

My stack is LUKS -> LVM -> BTRFS (seems the same as you) and I can boot
just fine.  I have read through the ticket, and must admit I am bit
confused what does not work.  Could you share what you configuration
(config.scm) and layout partition layout look like?  Maybe also whether
you are using BIOS or UEFI?

Thanks

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.